diff --git a/src/packages/fff/fff-babeld/Makefile b/src/packages/fff/fff-babeld/Makefile
index 29fd8e53..b2ccac89 100644
--- a/src/packages/fff/fff-babeld/Makefile
+++ b/src/packages/fff/fff-babeld/Makefile
@@ -1,7 +1,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=fff-babeld
-PKG_RELEASE:=1
+PKG_RELEASE:=2
 
 PKG_BUILD_DIR:=$(BUILD_DIR)/fff-babeld
 
diff --git a/src/packages/fff/fff-babeld/files/etc/gateway.d/40-babel b/src/packages/fff/fff-babeld/files/etc/gateway.d/40-babel
index c238cc16..44e263b2 100644
--- a/src/packages/fff/fff-babeld/files/etc/gateway.d/40-babel
+++ b/src/packages/fff/fff-babeld/files/etc/gateway.d/40-babel
@@ -2,7 +2,7 @@
 . /lib/functions/fff/babel
 
 #load board specific properties
-BOARD="$(uci get board.model.name)"
+BOARD="$(uci get board.model.name | sed 's/,/_/')"
 . /etc/network.$BOARD
 
 configure() {
diff --git a/src/packages/fff/fff-gateway/Makefile b/src/packages/fff/fff-gateway/Makefile
index 1a561cd4..6b5f6ee9 100644
--- a/src/packages/fff/fff-gateway/Makefile
+++ b/src/packages/fff/fff-gateway/Makefile
@@ -1,7 +1,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=fff-gateway
-PKG_RELEASE:=4
+PKG_RELEASE:=5
 
 PKG_BUILD_DIR:=$(BUILD_DIR)/fff-gateway
 
diff --git a/src/packages/fff/fff-gateway/files/etc/gateway.d/20-vlan b/src/packages/fff/fff-gateway/files/etc/gateway.d/20-vlan
index cfc8e69a..2cb8c4dc 100644
--- a/src/packages/fff/fff-gateway/files/etc/gateway.d/20-vlan
+++ b/src/packages/fff/fff-gateway/files/etc/gateway.d/20-vlan
@@ -2,7 +2,7 @@
 . /lib/functions.sh
 
 # load board specific properties
-BOARD="$(uci get board.model.name)"
+BOARD="$(uci get board.model.name | sed 's/,/_/')"
 . /etc/network.$BOARD
 . /lib/functions/fff/cpuport
 
diff --git a/src/packages/fff/fff-gateway/files/etc/gateway.d/30-network-client b/src/packages/fff/fff-gateway/files/etc/gateway.d/30-network-client
index 473d288d..57bd4601 100644
--- a/src/packages/fff/fff-gateway/files/etc/gateway.d/30-network-client
+++ b/src/packages/fff/fff-gateway/files/etc/gateway.d/30-network-client
@@ -1,5 +1,5 @@
 # load board specific properties
-BOARD="$(uci get board.model.name)"
+BOARD="$(uci get board.model.name | sed 's/,/_/')"
 . /etc/network.$BOARD
 
 
diff --git a/src/packages/fff/fff-network/Makefile b/src/packages/fff/fff-network/Makefile
index 0c7e2bd5..88f3bb71 100644
--- a/src/packages/fff/fff-network/Makefile
+++ b/src/packages/fff/fff-network/Makefile
@@ -1,7 +1,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=fff-network
-PKG_RELEASE:=18
+PKG_RELEASE:=19
 
 PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
diff --git a/src/packages/fff/fff-network/files/usr/sbin/configurenetwork b/src/packages/fff/fff-network/files/usr/sbin/configurenetwork
index 0ae7ba8a..d24ee0a2 100755
--- a/src/packages/fff/fff-network/files/usr/sbin/configurenetwork
+++ b/src/packages/fff/fff-network/files/usr/sbin/configurenetwork
@@ -62,7 +62,7 @@ disableAutoConf() {
     setAutoConf "$iface" "0"
 }
 
-BOARD="$(uci get board.model.name)"
+BOARD="$(uci get board.model.name | sed 's/,/_/')"
 . /etc/network.$BOARD
 
 if [ -s /etc/network.config ] ; then
diff --git a/src/packages/fff/fff-network/ipq806x/network.tplink,c2600 b/src/packages/fff/fff-network/ipq806x/network.tplink_c2600
similarity index 100%
rename from src/packages/fff/fff-network/ipq806x/network.tplink,c2600
rename to src/packages/fff/fff-network/ipq806x/network.tplink_c2600
diff --git a/src/packages/fff/fff-support/Makefile b/src/packages/fff/fff-support/Makefile
index 76ca26c8..32c91dda 100644
--- a/src/packages/fff/fff-support/Makefile
+++ b/src/packages/fff/fff-support/Makefile
@@ -1,7 +1,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=fff-support
-PKG_RELEASE:=5
+PKG_RELEASE:=6
 
 PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
diff --git a/src/packages/fff/fff-support/files/usr/sbin/show_info b/src/packages/fff/fff-support/files/usr/sbin/show_info
index cd3b4d2e..8e9354c9 100755
--- a/src/packages/fff/fff-support/files/usr/sbin/show_info
+++ b/src/packages/fff/fff-support/files/usr/sbin/show_info
@@ -5,7 +5,7 @@
 . /lib/functions/fff/evalbytes
 . /lib/functions.sh # required for config_load and config_foreach
 
-board_name=$(uci -q get board.model.name)
+board_name=$(uci -q get board.model.name | sed 's/,/_/')
 
 HOSTNAME=$(uci -q get 'fff.system.hostname')
 hood="$(uci -q get "system.@system[0].hood")"
diff --git a/src/packages/fff/fff-sysupgrade/Makefile b/src/packages/fff/fff-sysupgrade/Makefile
index 0f2e6a1e..e88b51d4 100644
--- a/src/packages/fff/fff-sysupgrade/Makefile
+++ b/src/packages/fff/fff-sysupgrade/Makefile
@@ -1,7 +1,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=fff-sysupgrade
-PKG_RELEASE:=11
+PKG_RELEASE:=12
 
 PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
diff --git a/src/packages/fff/fff-sysupgrade/files/sbin/fff-upgrade.sh b/src/packages/fff/fff-sysupgrade/files/sbin/fff-upgrade.sh
index 2b749f3b..1064beb6 100755
--- a/src/packages/fff/fff-sysupgrade/files/sbin/fff-upgrade.sh
+++ b/src/packages/fff/fff-sysupgrade/files/sbin/fff-upgrade.sh
@@ -12,7 +12,7 @@ if [ -z "$UPGRADE_PATH" ]; then
   exit 1
 fi
 
-BOARD=$(uci get board.model.name)
+BOARD=$(uci get board.model.name | sed 's/,/_/')
 
 echo "Hardware: $BOARD"
 
diff --git a/src/packages/fff/fff-web/Makefile b/src/packages/fff/fff-web/Makefile
index 3f16fded..c0783b7b 100644
--- a/src/packages/fff/fff-web/Makefile
+++ b/src/packages/fff/fff-web/Makefile
@@ -1,7 +1,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=fff-web
-PKG_RELEASE:=10
+PKG_RELEASE:=11
 
 PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
diff --git a/src/packages/fff/fff-web/files/www/ssl/cgi-bin/ports.html b/src/packages/fff/fff-web/files/www/ssl/cgi-bin/ports.html
index 01506fce..b0db89c9 100755
--- a/src/packages/fff/fff-web/files/www/ssl/cgi-bin/ports.html
+++ b/src/packages/fff/fff-web/files/www/ssl/cgi-bin/ports.html
@@ -1,7 +1,7 @@
 #!/usr/bin/haserl
 
 <%
-board_name=$(uci -q get board.model.name)
+board_name=$(uci -q get board.model.name | sed 's/,/_/')
 # write
 if [ "$REQUEST_METHOD" = "POST" ] ; then
 	if [ "$POST_change_mode" != "" ] ; then
diff --git a/src/packages/fff/fff-wireguard/Makefile b/src/packages/fff/fff-wireguard/Makefile
index 66138ec9..dc51c18c 100644
--- a/src/packages/fff/fff-wireguard/Makefile
+++ b/src/packages/fff/fff-wireguard/Makefile
@@ -1,7 +1,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=fff-wireguard
-PKG_RELEASE:=2
+PKG_RELEASE:=3
 
 PKG_BUILD_DIR:=$(BUILD_DIR)/fff-wireguard
 
diff --git a/src/packages/fff/fff-wireguard/files/etc/gateway.d/50-wireguard b/src/packages/fff/fff-wireguard/files/etc/gateway.d/50-wireguard
index 69a3d74d..6a37c8fe 100644
--- a/src/packages/fff/fff-wireguard/files/etc/gateway.d/50-wireguard
+++ b/src/packages/fff/fff-wireguard/files/etc/gateway.d/50-wireguard
@@ -3,7 +3,7 @@
 . /lib/functions/fff/babel
 
 #load board specific properties
-BOARD="$(uci get board.model.name)"
+BOARD="$(uci get board.model.name | sed 's/,/_/')"
 . /etc/network.$BOARD
 
 configure() {
